<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWPLISTEditViewBase from './emwplistedit-view-base.vue';

import view_form from '@widgets/emwplist/main-form/main-form.vue';

/**
 * 采购申请编辑视图
 *
 * @export
 * @class EMWPLISTEditView
 * @extends {EMWPLISTEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWPLISTEditView extends EMWPLISTEditViewBase { }
</script>